FormattingInfo (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.pattern
Class FormattingInfo

    java.lang.Object
      org.apache.log4j.pattern.FormattingInfo

    public final class FormattingInfo

extends Object

Modifies the output of a pattern converter for a specified minimum and maximum width and alignment.

Author:
  Jim Cakalic, Ceki Gülcü, Curt Arnold

Constructor Summary
`FormattingInfo(boolean leftAlign, int minLength, int maxLength)` Creates new instance.

Method Summary
`void` | `format(int fieldStart, StringBuffer buffer)` Adjust the content of the buffer based on the specified lengths and alignment.
`static FormattingInfo` | `getDefault()` Gets default instance.
`int` | `getMaxLength()` Get maximum length.
`int` | `getMinLength()` Get minimum length.
`boolean` | `isLeftAligned()` Determine if left aligned.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormattingInfo

    public FormattingInfo(boolean leftAlign,
                          int minLength,
                          int maxLength)

  Creates new instance.

  Parameters:
    `leftAlign` - left align if true.
    `minLength` - minimum length.
    `maxLength` - maximum length.

Method Detail

### getDefault

    public static FormattingInfo getDefault()

  Gets default instance.

  Returns:
    default instance.

### isLeftAligned

    public boolean isLeftAligned()

  Determine if left aligned.

  Returns:
    true if left aligned.

### getMinLength

    public int getMinLength()

  Get minimum length.

  Returns:
    minimum length.

### getMaxLength

    public int getMaxLength()

  Get maximum length.

  Returns:
    maximum length.

### format

    public void format(int fieldStart,
                       StringBuffer buffer)

  Adjust the content of the buffer based on the specified lengths and alignment.

  Parameters:
    `fieldStart` - start of field in buffer.
    `buffer` - buffer to be modified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.